program sort_inlined

!-- read in three real numbers and print them in ascending order

  implicit none
  integer :: i, j
  real :: n1, n2, temp

  call sort_the_numbers
  
  contains
  
  subroutine sort_the_numbers
  
  do i = 1,10000
  do j = i,10000
!-- sort the numbers
    n1 = i; n2 = j
    if(n1 > n2) then
      temp = n1
      n1 = n2
      n2 = temp
    endif
  enddo
  enddo
  
  end subroutine sort_the_numbers

    
end program sort_inlined
